Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
[Java] Class GroovyPageTagWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.codehaus.groovy.grails.web.util.GrailsPrintWriter
                  org.codehaus.groovy.grails.web.pages.FastStringWriter
                      org.codehaus.groovy.grails.web.taglib.GroovyPageTagWriter

    public class GroovyPageTagWriter
    extends FastStringWriter

A temporary writer used by GSP to write to a StringWriter and later retrieve the value. It also converts nulls into blank strings.

Authors:
  Graeme Rocher

Since:
  0.5

Field Summary

Fields inherited from class GrailsPrintWriter
CRLF, LOG, allowUnwrappingOut, out, trouble, usageFlag

Constructor Summary
`GroovyPageTagWriter(boolean preferSubChunkWhenWritingToOtherBuffer)`

Method Summary
`java.lang.String` | `getValue()`

Methods inherited from class FastStringWriter
getBuffer, getReader, getValue, toString

Methods inherited from class GrailsPrintWriter
append, append, append, append, append, checkError, clone, findStreamCharBufferTarget, flush, getFinalTarget, getOut, handleIOException, isAllowUnwrappingOut, isFinalTargetHere, isUsed, leftShift, leftShift, leftShift, plus, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setFinalTargetHere, setUsed, write, write, write, write, write, write, write

Methods inherited from class java.io.PrintWriter
java.io.PrintWriter#println(char), java.io.PrintWriter#println(), java.io.PrintWriter#println(boolean), java.io.PrintWriter#println(java.lang.Object), java.io.PrintWriter#println(java.lang.String), java.io.PrintWriter#println([C), java.io.PrintWriter#println(double), java.io.PrintWriter#println(float), java.io.PrintWriter#println(long), java.io.PrintWriter#println(int), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(char), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#format(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#format(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#write([C), java.io.PrintWriter#write([C, int, int), java.io.PrintWriter#write(int), java.io.PrintWriter#write(java.lang.String, int, int), java.io.PrintWriter#write(java.lang.String), java.io.PrintWriter#print(java.lang.String), java.io.PrintWriter#print(java.lang.Object), java.io.PrintWriter#print(boolean), java.io.PrintWriter#print(char), java.io.PrintWriter#print(int), java.io.PrintWriter#print(long), java.io.PrintWriter#print(float), java.io.PrintWriter#print(double), java.io.PrintWriter#print([C), java.io.PrintWriter#flush(), java.io.PrintWriter#close(), java.io.PrintWriter#checkError(), java.io.PrintWriter#printf(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#printf(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#wait(), java.io.PrintWriter#wait(long), java.io.PrintWriter#wait(long, int), java.io.PrintWriter#equals(java.lang.Object), java.io.PrintWriter#toString(), java.io.PrintWriter#hashCode(), java.io.PrintWriter#getClass(), java.io.PrintWriter#notify(), java.io.PrintWriter#notifyAll()

Methods inherited from class java.io.Writer
java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write([C), java.io.Writer#write(java.lang.String), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(), java.io.Writer#wait(long), java.io.Writer#wait(long, int), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyPageTagWriter

    public GroovyPageTagWriter(boolean preferSubChunkWhenWritingToOtherBuffer)

Method Detail

### getValue

    @Override
    public java.lang.String getValue()

Groovy Documentation